<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14113" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14088"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Material Table View Controller-->
        <scene sceneID="5KY-7I-HY6">
            <objects>
                <tableViewController storyboardIdentifier="MaterialTableViewController" id="pxI-9f-oW6" customClass="MaterialTableViewController" customModule="Sahl" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="none" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="SM9-zy-SmI">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="none" indentationWidth="10" reuseIdentifier="materilaItem" rowHeight="180" id="HkU-nI-Vh9" customClass="EventMaterialInfoTableViewCell" customModule="Sahl" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="28" width="375" height="180"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="HkU-nI-Vh9" id="9u2-eh-GYq">
                                    <rect key="frame" x="0.0" y="0.0" width="375" height="180"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="ev2-Le-k2x">
                                            <rect key="frame" x="16" y="8" width="343" height="164"/>
                                            <subviews>
                                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Material name" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="2" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="03p-cK-aKI">
                                                    <rect key="frame" x="16" y="16" width="311" height="18"/>
                                                    <fontDescription key="fontDescription" type="boldSystem" pointSize="15"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="LU0-7f-hcS" customClass="SVUploader" customModule="Sahl" customModuleProvider="target">
                                                    <rect key="frame" x="296.5" y="67" width="30" height="30"/>
                                                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                </view>
                                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="3wd-7s-ez9">
                                                    <rect key="frame" x="297" y="67.5" width="30" height="30"/>
                                                    <constraints>
                                                        <constraint firstAttribute="width" constant="30" id="OY7-2d-dx0"/>
                                                        <constraint firstAttribute="height" constant="30" id="xyX-3w-THn"/>
                                                    </constraints>
                                                    <state key="normal" image="event matrial-download"/>
                                                    <connections>
                                                        <action selector="download:" destination="HkU-nI-Vh9" eventType="touchUpInside" id="SAg-kK-HlE"/>
                                                    </connections>
                                                </button>
                                                <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" scrollEnabled="NO" editable="NO" text="labellabellabellabellabellabellabellabellabellabellabellabel" textAlignment="natural" selectable="NO" translatesAutoresizingMaskIntoConstraints="NO" id="fVl-H5-Bn1">
                                                    <rect key="frame" x="12" y="38" width="269" height="49.5"/>
                                                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                    <color key="textColor" red="0.56078431370000004" green="0.56078431370000004" blue="0.56078431370000004" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                    <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                                                </textView>
                                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Download" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Vlk-3b-S1I">
                                                    <rect key="frame" x="283.5" y="101" width="56" height="14.5"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="12"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                    <userDefinedRuntimeAttributes>
                                                        <userDefinedRuntimeAttribute type="string" keyPath="localizeKey" value="Download"/>
                                                    </userDefinedRuntimeAttributes>
                                                </label>
                                            </subviews>
                                            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                            <constraints>
                                                <constraint firstItem="03p-cK-aKI" firstAttribute="leading" secondItem="ev2-Le-k2x" secondAttribute="leading" constant="16" id="4DJ-v4-HXh"/>
                                                <constraint firstItem="Vlk-3b-S1I" firstAttribute="top" secondItem="LU0-7f-hcS" secondAttribute="bottom" constant="4" id="92h-Ep-bLb"/>
                                                <constraint firstItem="fVl-H5-Bn1" firstAttribute="leading" secondItem="ev2-Le-k2x" secondAttribute="leading" constant="12" id="AeE-6D-ZE8"/>
                                                <constraint firstItem="LU0-7f-hcS" firstAttribute="centerX" secondItem="3wd-7s-ez9" secondAttribute="centerX" id="Hdk-Wd-lsF"/>
                                                <constraint firstItem="03p-cK-aKI" firstAttribute="top" secondItem="ev2-Le-k2x" secondAttribute="top" constant="16" id="If6-8q-ow1"/>
                                                <constraint firstAttribute="bottom" relation="greaterThanOrEqual" secondItem="fVl-H5-Bn1" secondAttribute="bottom" constant="8" id="KfV-uJ-H7G"/>
                                                <constraint firstItem="3wd-7s-ez9" firstAttribute="centerY" secondItem="ev2-Le-k2x" secondAttribute="centerY" id="Lic-uD-cfD"/>
                                                <constraint firstItem="LU0-7f-hcS" firstAttribute="height" secondItem="3wd-7s-ez9" secondAttribute="height" id="M3o-Cq-LUa"/>
                                                <constraint firstItem="Vlk-3b-S1I" firstAttribute="centerX" secondItem="3wd-7s-ez9" secondAttribute="centerX" id="OYy-9f-jvF"/>
                                                <constraint firstItem="LU0-7f-hcS" firstAttribute="centerY" secondItem="3wd-7s-ez9" secondAttribute="centerY" id="a2b-kg-JAm"/>
                                                <constraint firstItem="LU0-7f-hcS" firstAttribute="width" secondItem="3wd-7s-ez9" secondAttribute="width" id="gt3-m7-rUy"/>
                                                <constraint firstAttribute="trailing" secondItem="03p-cK-aKI" secondAttribute="trailing" constant="16" id="iyW-iq-tYR"/>
                                                <constraint firstAttribute="trailing" secondItem="3wd-7s-ez9" secondAttribute="trailing" constant="16" id="j0e-zr-oN2"/>
                                                <constraint firstItem="3wd-7s-ez9" firstAttribute="leading" secondItem="fVl-H5-Bn1" secondAttribute="trailing" constant="16" id="veB-Vk-J9Y"/>
                                                <constraint firstItem="fVl-H5-Bn1" firstAttribute="top" secondItem="03p-cK-aKI" secondAttribute="bottom" constant="4" id="z0W-gL-7Sr"/>
                                            </constraints>
                                            <userDefinedRuntimeAttributes>
                                                <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                                    <real key="value" value="10"/>
                                                </userDefinedRuntimeAttribute>
                                                <userDefinedRuntimeAttribute type="boolean" keyPath="shadow" value="YES"/>
                                            </userDefinedRuntimeAttributes>
                                        </view>
                                    </subviews>
                                    <constraints>
                                        <constraint firstItem="ev2-Le-k2x" firstAttribute="leading" secondItem="9u2-eh-GYq" secondAttribute="leading" constant="16" id="676-LH-TxR"/>
                                        <constraint firstAttribute="bottom" secondItem="ev2-Le-k2x" secondAttribute="bottom" constant="8" id="E1e-Rp-cCl"/>
                                        <constraint firstItem="ev2-Le-k2x" firstAttribute="top" secondItem="9u2-eh-GYq" secondAttribute="top" constant="8" id="bhO-09-g8b"/>
                                        <constraint firstAttribute="trailing" secondItem="ev2-Le-k2x" secondAttribute="trailing" constant="16" id="qBG-8L-cfr"/>
                                    </constraints>
                                </tableViewCellContentView>
                                <connections>
                                    <outlet property="descriptionOFMaterial" destination="fVl-H5-Bn1" id="o7d-dg-WlV"/>
                                    <outlet property="downloadButton" destination="3wd-7s-ez9" id="BhM-j7-5cS"/>
                                    <outlet property="materialName" destination="03p-cK-aKI" id="yv3-Tp-CvK"/>
                                    <outlet property="progressLabel" destination="Vlk-3b-S1I" id="F3K-TP-eCf"/>
                                    <outlet property="upload" destination="LU0-7f-hcS" id="X2u-Ei-sed"/>
                                </connections>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="pxI-9f-oW6" id="tJ3-An-eVR"/>
                            <outlet property="delegate" destination="pxI-9f-oW6" id="bZQ-5b-fdS"/>
                        </connections>
                    </tableView>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="pgA-6b-kTl" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="109.59999999999999" y="106.59670164917542"/>
        </scene>
    </scenes>
    <resources>
        <image name="event matrial-download" width="25" height="25"/>
    </resources>
</document>
